# pciConfig Struct Reference

`#include <pci.h>`

## Data Fields

uInt32 | base [6]
uInt8 | baseClass
uInt8 | bist
uInt8 | bus
uInt8 | cacheLineSize
uInt16 | command
uInt8 | dev
uInt16 | deviceId
uInt8 | func
uInt8 | headerType
uInt8 | interface
uInt8 | irq
uInt8 | latencyTimer
uInt8 | revisionId
uInt32 | size [6]
uInt16 | status
uInt8 | subClass
uInt16 | subsys
uInt16 | subsysVendor
uInt16 | vendorId

## Detailed Description

Definition at line 36 of file pci.h.

## Field Documentation

uInt32 pciConfig::base[6]

Definition at line 60 of file pci.h.

Referenced by pciProbe().

uInt8 pciConfig::baseClass

Definition at line 46 of file pci.h.

Referenced by pci_init(), and pciProbe().

uInt8 pciConfig::bist

Definition at line 51 of file pci.h.

Referenced by pciProbe().

uInt8 pciConfig::bus

Definition at line 54 of file pci.h.

Referenced by pciProbe().

uInt8 pciConfig::cacheLineSize

Definition at line 48 of file pci.h.

Referenced by pciProbe().

uInt16 pciConfig::command

Definition at line 40 of file pci.h.

Referenced by pciProbe().

uInt8 pciConfig::dev

Definition at line 55 of file pci.h.

Referenced by pciProbe().

uInt16 pciConfig::deviceId

Definition at line 38 of file pci.h.

Referenced by pciProbe().

uInt8 pciConfig::func

Definition at line 56 of file pci.h.

Referenced by pciProbe().

uInt8 pciConfig::headerType

Definition at line 50 of file pci.h.

Referenced by pciProbe().

uInt8 pciConfig::interface

Definition at line 44 of file pci.h.

Referenced by pci_init(), and pciProbe().

uInt8 pciConfig::irq

Definition at line 57 of file pci.h.

Referenced by pci_init(), and pciProbe().

uInt8 pciConfig::latencyTimer

Definition at line 49 of file pci.h.

Referenced by pciProbe().

uInt8 pciConfig::revisionId

Definition at line 43 of file pci.h.

uInt32 pciConfig::size[6]

Definition at line 61 of file pci.h.

Referenced by pciProbe().

uInt16 pciConfig::status

Definition at line 41 of file pci.h.

Referenced by pciProbe().

uInt8 pciConfig::subClass

Definition at line 45 of file pci.h.

Referenced by pci_init(), and pciProbe().

uInt16 pciConfig::subsys

Definition at line 64 of file pci.h.

Referenced by pciProbe().

uInt16 pciConfig::subsysVendor

Definition at line 63 of file pci.h.

Referenced by pciProbe().

uInt16 pciConfig::vendorId

Definition at line 37 of file pci.h.

Referenced by pciProbe().

The documentation for this struct was generated from the following file:

- src/sys/include/pci/pci.h